Bug 625172 - Test framework improvements
Test framework improvements
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
4.0.0
All Linux
high Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: jon30-issues
  Show dependency treegraph
 
Reported: 2010-08-18 14:49 EDT by Charles Crouch
Modified: 2015-02-01 18:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-19 11:07:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2010-08-18 14:49:20 EDT
There are a number of areas here:

Automated UI testing
- Add support for testing GWT UI using selenium. Common set of automated tests across all of dev/QE

-Perf testing framework (http://rhq-project.org/display/RHQ/Performance+Testing2)
--Repeatable subsystem scalability testing
--UI load testing

-Test code coverage metrics
-- Detect where we are currently weak in unit/integration tests

-Static analysis tool run on a regular basis
--e.g. coverity, or findbugs runs
Comment 1 Mike Foley 2012-02-02 14:53:09 EST
switched to sahi for automated UI testing.  that part of this BZ is complete
Comment 2 Jay Shaughnessy 2014-06-19 11:07:35 EDT
QE is way on top of this stuff.

Note You need to log in before you can comment on or make changes to this bug.